OpenVDB 5.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
AppendAttributeOp< PointDataTreeType > Struct Template Reference

`#include <PointAttribute.h>`

## Public Types
using | LeafManagerT = typename tree::LeafManager< PointDataTreeType >
using | LeafRangeT = typename LeafManagerT::LeafRange

## Public Member Functions
| AppendAttributeOp (AttributeSet::DescriptorPtr &descriptor, const size_t pos, const Index strideOrTotalSize=1, const bool constantStride=true, const bool hidden=false, const bool transient=false)
void | operator() (const LeafRangeT &range) const

## Public Attributes
AttributeSet::DescriptorPtr & | mDescriptor
const size_t | mPos
const Index | mStrideOrTotalSize
const bool | mConstantStride
const bool | mHidden
const bool | mTransient

## Member Typedef Documentation

## ◆ LeafManagerT

using LeafManagerT = typename tree::LeafManager<PointDataTreeType>

## ◆ LeafRangeT

using LeafRangeT = typename LeafManagerT::LeafRange

## Constructor & Destructor Documentation

## ◆ AppendAttributeOp()

AppendAttributeOp | ( | AttributeSet::DescriptorPtr & | descriptor,
|  | const size_t | pos,
|  | const Index | strideOrTotalSize = `1`,
|  | const bool | constantStride = `true`,
|  | const bool | hidden = `false`,
|  | const bool | transient = `false`
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const LeafRangeT & | range | ) | const
| inline

## Member Data Documentation

## ◆ mConstantStride

const bool mConstantStride

## ◆ mDescriptor

AttributeSet::DescriptorPtr& mDescriptor

## ◆ mHidden

const bool mHidden

## ◆ mPos

const size_t mPos

## ◆ mStrideOrTotalSize

const Index mStrideOrTotalSize

## ◆ mTransient

const bool mTransient

The documentation for this struct was generated from the following file:

- PointAttribute.h